Skip to main content

[note] gyp 筆記

macOS Catalina (v10.15) 無法安裝的問題#

確定是否已經安裝 Xcode Command Line Tools#

確定的方式請輸入:

# 應該要看到 com.apple.pkg.CLTools_Executables
$ /usr/sbin/pkgutil --packages | grep CL
# 應該要看到 version: 11.0.0 (or later) should be listed
$ /usr/sbin/pkgutil --pkg-info com.apple.pkg.CLTools_Executables

如果沒有看到對應的訊息,需要先安裝 Xcode Command Line Tools

安裝 Xcode Command Line Tools#

如果顯示已安裝,但無法通過上面的測試的話,可以整個重新安裝:

$ sudo rm -rf /Library/Developer/CommandLineTools
$ xcode-select --install
Last updated on